<?php

/**
 * Return an array of the modules to be enabled when this profile is installed.
 *
 * @return
 *  An array of modules to be enabled.
 */
function hostslave_profile_modules() {
  return array(
    /* core */ 'system', 'user', 'filter', 'block', 'node',
    /* contrib */ 'drush', 'cvs_deploy',
    /* custom */ 'provision', 'provision_apache', 'provision_mysql', 'provision_drupal');
}

/**
 * Return a description of the profile for the initial installation screen.
 *
 * @return
 *   An array with keys 'name' and 'description' describing this profile.
 */
function hostslave_profile_details() {
  return array(
    'name' => 'HostSlave',
    'description' => 'Provides a headless installation of the provision module, that can be controlled using a Hostmaster frontend.'
  );
}

/**
 * Perform any final installation tasks for this profile.
 *
 * @return
 *   An optional HTML string to display to the user on the final installation
 *   screen.
 */
function hostslave_profile_final() {
  // @TODO : remove any and all functionality
  db_query("UPDATE {blocks} SET STATUS=0");
  variable_set("site_frontpage", "provision");
  variable_set("user_register", 0);
  $settings = variable_get("theme_settings", array());
  $settings['toggle_logo'] = 0;
  $settings['toggle_slogan'] = 0;
  $settings['toggle_name'] = 0;
  variable_set("theme_garland_settings", $settings);
  // This is saved because the config generation script is running via drush, and does not have access to this value
  variable_set('install_url' , $GLOBALS['base_url']);
  drupal_goto('provision');
}

